Qt et OpenGL


#1

Bonjour,

Windowsien depuis mes debut, lorsqu il m’arrivait de coder, c’était sans me soucier de la portabilité de mon code… donc de puis toujours mes programmes commencait par :
include windows.h

Bon… bah maintenant que je suis sous linux… mes anciens programmes… je peux comme qui dirait m’assoir dessus. Du coup, vu que je continue à en developper certain qui seront utilisé sous windows, mais que perso, rebooter sans cesse ca m’amuse pas trop, je vais de voir en réécrire certain.
Le premier qui va etre a transformé est une appli windows (codé avec l’API windows, sinon c’est pas drole) + OpenGL (ouf!!)… Donc j’envisage de passer par le couple QT + Opengl.
La dessus, je me pose plusieurs question…

La version libre de QT4 est elle compatible avec QT 3 (QT4 pour windows, QT 3 pour ma debian) ?
sinon, QT 4 est il dispo sur etch ou sid (a priori je l’ai pas vu sur sarge)?
Enfin, quelqu un à t’il sous le coude un petit tuto bien basique mixant QT et OpenGL (genre afficher un cube…) ca me suffira pour retrouver mes marques…
Merçi…


#2

sudo apt-cache policy libqt4-gui libqt4-gui: Installé : (aucun) Candidat : 4.1.0-3 Table de version : 4.1.0-3 0 550 http://ftp.fr.debian.org etch/main Packages 33 http://ftp.fr.debian.org unstable/main Packages qt4 est disponible sous etch et sid mais je ne peux malheureusement pas t’en dire plus.


#3

ouep… mais là… j’ai déjà du mal a installer Qt3… pb de dépendance sous sarge :cry:


#4

Tu es sûr que c’est une bonne stratègie de rester en sarge pour une machine de développement ?
AMHA, compiler avec les dernières libs (même si tu n’utilises que des fonctionnalités anciennes et compatibles avec une recompil sarge) ça te garanti une future compatibilité, non ?
Enfin ce que j’en dis.
Je sais juste que beaucoup de développeurs que je connais sont en sid.


#5

Bah disons que a priori y a généralement pas de pb d’ascendence des langages (mais ca peut arriver)… Et puis de tout facon, je fais que du développement perso, pas optimiser avec des codes qui ferait bondir de peur n’importe quel programmeur ayant un minimum de connaissance.
Nan, moi c’est surtout la compatibilité win/linux avec le minimum possible d’adaptation. Donc je voulais savoir si certain avait connaissance de pb d’ascendance entre QT3 et QT4…

D’un pur point de vue programme il est sur que QT4 est plus interressant… Mais bon, j’ai pas besoin d’exploiter les spécificité de QT4…


#6

VU. Mais AMHA, etant donné que tu n’as pas de contrainte “industrielle” à choisir une release plutot qu’une autre, ce que je voulais dire, c’est que si tu as un besoin de paquets en etch ou sid, plutot que d’utiliser des backports et rester en sarge, il me parait aussi simple d’upgrader dans la release dont tu as besoin: l’etch est suffisament stable pour un usage personnel.


#7

Je confirme sur la stabilité pour un usage personnel je suis actuellement en etch et ça fonctionne très bien.